> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Videos API Endpoint

> This API endpoint allows a user to retrieve all videos associated with their account.



## OpenAPI

````yaml get /api/user/videos/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/videos/:
    get:
      tags:
        - api
      summary: Get User Videos API Endpoint
      description: >-
        This API endpoint allows a user to retrieve all videos associated with
        their account.
      operationId: get_user_videos
      parameters:
        - name: content_type_id
          in: query
          schema:
            type: integer
        - name: video_title
          in: query
          schema:
            minLength: 1
            type: string
        - name: resolution
          in: query
          schema:
            minLength: 1
            type: string
        - name: creation_date
          in: query
          schema:
            type: string
            format: date-time
        - name: font_profile_id
          in: query
          schema:
            type: integer
        - name: media_profile_id
          in: query
          schema:
            type: integer
        - name: voice_profile_id
          in: query
          schema:
            type: integer
        - name: template_id
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: Successfully retrieved the user videos
          content:
            application/json:
              schema:
                title: Video OpenAPI Schema
                type: array
                items:
                  title: Video
                  type: object
                  properties:
                    video_id:
                      type: integer
                    disabled:
                      type: boolean
                    video_title:
                      type: string
                    video_description:
                      type: string
                    elapsed_gen_time:
                      type: integer
                    credits_cost:
                      type: number
                    resolution:
                      type: string
                    creation_date:
                      type: string
                      format: date-time
                    original_input_script:
                      type: string
                    download_link:
                      type: string
                    preview_url:
                      type: string
                    content_type:
                      title: Content Type
                      type: object
                      properties:
                        content_type_id:
                          type: integer
                        display_name:
                          type: string
                        model_id:
                          type: string
                        description:
                          type: string
                        preview_image:
                          type: string
                        preview_video:
                          type: string
                        active:
                          type: boolean
                      description: Content Type OpenAPI Schema
                    input_video:
                      title: InputVideo
                      type: object
                      properties:
                        input_video_id:
                          type: integer
                        disabled:
                          type: boolean
                        video_title:
                          type: string
                        download_link:
                          type: string
                        creation_date:
                          type: string
                        preview_url:
                          type: string
                        audio:
                          title: Audio
                          type: object
                          properties:
                            audio_id:
                              type: integer
                            disabled:
                              type: boolean
                            download_link:
                              type: string
                            transcription:
                              type: string
                            creation_date:
                              type: string
                          description: Audio OpenAPI Schema
                      description: InputVideo OpenAPI Schema
                    input_music:
                      title: Audio
                      type: object
                      properties:
                        audio_id:
                          type: integer
                        disabled:
                          type: boolean
                        download_link:
                          type: string
                        transcription:
                          type: string
                        creation_date:
                          type: string
                      description: Audio OpenAPI Schema
                    input_voice:
                      title: Audio
                      type: object
                      properties:
                        audio_id:
                          type: integer
                        disabled:
                          type: boolean
                        download_link:
                          type: string
                        transcription:
                          type: string
                        creation_date:
                          type: string
                      description: Audio OpenAPI Schema
                    font_profile:
                      title: Font Profile
                      type: object
                      properties:
                        font_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        name:
                          type: string
                        path:
                          type: string
                        size:
                          type: integer
                        bold:
                          type: boolean
                        italic:
                          type: boolean
                        underlined:
                          type: boolean
                        strikethrough:
                          type: boolean
                        caption_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        caption_style_color:
                          type: string
                        caption_style_stroke_color:
                          type: string
                        caption_style_stroke_thickness:
                          type: integer
                        caption_shadow_x_pos:
                          type: integer
                        caption_shadow_y_pos:
                          type: integer
                        caption_shadow_color:
                          type: string
                        caption_shadow_blur:
                          type: integer
                        caption_lines:
                          type: integer
                        caption_ai_keyword_highlighter:
                          type: boolean
                        caption_ai_keyword_highlighter_color:
                          type: string
                        caption_highlighter:
                          type: boolean
                        caption_highlighter_color:
                          type: string
                        preview_url:
                          type: string
                        preview_bytes:
                          type: string
                          format: binary
                      description: Font Profile OpenAPI Schema
                    media_profile:
                      title: Media Profile
                      type: object
                      properties:
                        media_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        watermark_path:
                          type: string
                        watermark_position:
                          title: Overlay Coordinate
                          type: object
                          properties:
                            coordinate_id:
                              type: integer
                            overlay_visualizer:
                              type: string
                            x:
                              type: string
                            'y':
                              type: string
                          description: Overlay Coordinate OpenAPI Schema
                        end_clip_path:
                          type: string
                        preview_url:
                          type: string
                      description: Media Profile OpenAPI Schema
                    voice_profile:
                      title: Voice Profile
                      type: object
                      properties:
                        voice_profile_id:
                          type: integer
                        disabled:
                          type: boolean
                        profile_name:
                          type: string
                        api_key:
                          type: string
                        region:
                          type: string
                        provider_id:
                          type: string
                        provider_name:
                          type: string
                      description: Voice Profile OpenAPI Schema
                    template:
                      title: Template
                      type: object
                      properties:
                        template_id:
                          type: integer
                        template_name:
                          type: string
                        template_preview:
                          type: string
                        template_description:
                          type: string
                      description: Template OpenAPI Schema
                    playlist:
                      title: Playlist
                      type: object
                      properties:
                        playlist_id:
                          type: integer
                        disabled:
                          type: boolean
                        playlist_name:
                          type: string
                        font_profile:
                          title: Font Profile
                          type: object
                          properties:
                            font_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            name:
                              type: string
                            path:
                              type: string
                            size:
                              type: integer
                            bold:
                              type: boolean
                            italic:
                              type: boolean
                            underlined:
                              type: boolean
                            strikethrough:
                              type: boolean
                            caption_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            caption_style_color:
                              type: string
                            caption_style_stroke_color:
                              type: string
                            caption_style_stroke_thickness:
                              type: integer
                            caption_shadow_x_pos:
                              type: integer
                            caption_shadow_y_pos:
                              type: integer
                            caption_shadow_color:
                              type: string
                            caption_shadow_blur:
                              type: integer
                            caption_lines:
                              type: integer
                            caption_ai_keyword_highlighter:
                              type: boolean
                            caption_ai_keyword_highlighter_color:
                              type: string
                            caption_highlighter:
                              type: boolean
                            caption_highlighter_color:
                              type: string
                            preview_url:
                              type: string
                            preview_bytes:
                              type: string
                              format: binary
                          description: Font Profile OpenAPI Schema
                        media_profile:
                          title: Media Profile
                          type: object
                          properties:
                            media_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            watermark_path:
                              type: string
                            watermark_position:
                              title: Overlay Coordinate
                              type: object
                              properties:
                                coordinate_id:
                                  type: integer
                                overlay_visualizer:
                                  type: string
                                x:
                                  type: string
                                'y':
                                  type: string
                              description: Overlay Coordinate OpenAPI Schema
                            end_clip_path:
                              type: string
                            preview_url:
                              type: string
                          description: Media Profile OpenAPI Schema
                        voice_profile:
                          title: Voice Profile
                          type: object
                          properties:
                            voice_profile_id:
                              type: integer
                            disabled:
                              type: boolean
                            profile_name:
                              type: string
                            api_key:
                              type: string
                            region:
                              type: string
                            provider_id:
                              type: string
                            provider_name:
                              type: string
                          description: Voice Profile OpenAPI Schema
                        content_type:
                          title: Content Type
                          type: object
                          properties:
                            content_type_id:
                              type: integer
                            display_name:
                              type: string
                            model_id:
                              type: string
                            description:
                              type: string
                            preview_image:
                              type: string
                            preview_video:
                              type: string
                            active:
                              type: boolean
                          description: Content Type OpenAPI Schema
                        preview_url:
                          type: string
                      description: Playlist OpenAPI Schema
                  description: Video OpenAPI Schema
              example:
                - video_id: 1
                  disabled: false
                  video_title: Video Title
                  video_description: Video Description
                  elapsed_gen_time: 100
                  credits_cost: 1
                  resolution: 1920x1080
                  creation_date: '2024-03-17T17:48:20.000Z'
                  original_input_script: Original Input Script
                  download_link: https://clipvision.ai/download/video/1
                  preview_url: https://clipvision.ai/preview/video/1
                  content_type: null
                  input_video: null
                  input_music: null
                  input_voice: null
                  font_profile: null
                  media_profile: null
                  voice_profile: null
                  template: null
                  playlist: null
        '400':
          description: Failed to retrieve the user videos or validation errors
          content: {}
        '500':
          description: Failed to retrieve the user videos
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````